#include <string>
#include <iostream>
#include <vector>
#include "opencv2/opencv.hpp"
using namespace std;
using namespace cv;
//----------------------------------------------------------
// MAIN
//----------------------------------------------------------
int main(int argc, char* argv[])
{
    // src image
    Mat src;
    // dst image
    Mat dst;
    // Image loading
    namedWindow("result");
    namedWindow("src");
    src=imread("image.png",0);    

    cv::cvtColor(src,dst,cv::COLOR_GRAY2BGR);

    Mat corners;
    cv::goodFeaturesToTrack(src,corners,100,0.01,20.0);

    for(int i=0;i<corners.rows;++i)
    {
        circle(dst,cv::Point(corners.at<float>(i,0),corners.at<float>(i,1)),3,Scalar(255,0,0),-1,CV_AA);
    }

    imshow("src",src);
    imshow("result",dst);
    //----------------------------------------------------------
    // Wait key press
    //----------------------------------------------------------
    while (waitKey(0) != 'q');
    destroyAllWindows();
    return 0;
}
